osl::PtypeTraits< SILVER > Struct Reference

`#include <ptypeTraits.h>`

## Static Public Member Functions

static const char * | name ()
static const char * | csaName ()

## Static Public Attributes

static const bool | isBasic =true
static const bool | canPromote =true
static const bool | betterToPromote =false
static const Ptype | moveType =SILVER
static const Ptype | basicType =SILVER
static const int | indexMin =22
static const int | indexLimit =26
static const int | dropBlackFromY =1
static const int | dropBlackToY =9
static const int | mayPromoteToY =4
static const int | moveMask

## Detailed Description

Definition at line 155 of file ptypeTraits.h.

## Member Function Documentation

## csaName()

const char * osl::PtypeTraits< SILVER >::csaName | ( |  | ) |

inline static

Definition at line 163 of file ptypeTraits.h.

## name()

const char * osl::PtypeTraits< SILVER >::name | ( |  | ) |

inline static

Definition at line 162 of file ptypeTraits.h.

## Member Data Documentation

## basicType

const Ptype osl::PtypeTraits< SILVER >::basicType =SILVER

static

Definition at line 161 of file ptypeTraits.h.

## betterToPromote

const bool osl::PtypeTraits< SILVER >::betterToPromote =false

static

Definition at line 159 of file ptypeTraits.h.

## canPromote

const bool osl::PtypeTraits< SILVER >::canPromote =true

static

Definition at line 158 of file ptypeTraits.h.

## dropBlackFromY

const int osl::PtypeTraits< SILVER >::dropBlackFromY =1

static

Definition at line 166 of file ptypeTraits.h.

## dropBlackToY

const int osl::PtypeTraits< SILVER >::dropBlackToY =9

static

Definition at line 167 of file ptypeTraits.h.

## indexLimit

const int osl::PtypeTraits< SILVER >::indexLimit =26

static

Definition at line 165 of file ptypeTraits.h.

## indexMin

const int osl::PtypeTraits< SILVER >::indexMin =22

static

Definition at line 164 of file ptypeTraits.h.

## isBasic

const bool osl::PtypeTraits< SILVER >::isBasic =true

static

Definition at line 157 of file ptypeTraits.h.

## mayPromoteToY

const int osl::PtypeTraits< SILVER >::mayPromoteToY =4

static

Definition at line 168 of file ptypeTraits.h.

## moveMask

const int osl::PtypeTraits< SILVER >::moveMask

static

Initial value:
=
DirectionTraits<UL>::mask|DirectionTraits<U>::mask
|DirectionTraits<UR>::mask|DirectionTraits<DL>::mask
|DirectionTraits<DR>::mask
osl::DirectionTraits::mask
static const unsigned int mask
Definition directionTraits.h:227

Definition at line 169 of file ptypeTraits.h.

## moveType

const Ptype osl::PtypeTraits< SILVER >::moveType =SILVER

static

Definition at line 160 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h